package com.yihu.jw.restmodel.hospital.prescription;

import com.yihu.jw.restmodel.UuidIdentityVOWithOperator;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;


/**
 * 
 * 处方药品表vo
 * 
 * @version 
 * <pre>
 * Author	Version		Date		Changes
 * Administrator 	1.0  2019年05月16日 Created
 *
 * </pre>
 * @since 1.
 */
@ApiModel(value = "WlyyPrescriptionInfoVO", description = "处方药品表")
public class WlyyPrescriptionInfoVO extends UuidIdentityVOWithOperator {

    /**
     * 处方code 关联表wlyy_prescription code
     */
    @ApiModelProperty(value = "处方code 关联表wlyy_prescription code", example = "模块1")
    private String prescriptionId;

    /**
     * 药品编号
     */
    @ApiModelProperty(value = "药品编号", example = "模块1")
    private String drugNo;

    /**
     * 药品名称
     */
    @ApiModelProperty(value = "药品名称", example = "模块1")
    private String drugName;

    /**
     * 库房号
     */
    @ApiModelProperty(value = "库房号", example = "模块1")
    private String dispDeposite;

    /**
     * 药量
     */
    @ApiModelProperty(value = "药量", example = "模块1")
    private String dosage;

    /**
     *
     */
    @ApiModelProperty(value = "数量", example = "模块1")
    private String quantity;

    /**
     *
     */
    @ApiModelProperty(value = "用量单位", example = "模块1")
    private String unit;

    @ApiModelProperty(value = "用量单位名稱", example = "模块1")
    private String unitName;

    /**
     * 包装单位
     */
    @ApiModelProperty(value = "包装单位", example = "模块1")
    private String packUnit;

    /**
     * 包装单位名称
     */
    @ApiModelProperty(value = "包装单位名称", example = "模块1")
    private String packUnitName;

    /**
     * 频率
     */
    @ApiModelProperty(value = "频率", example = "模块1")
    private String usageCode;

    @ApiModelProperty(value = "频率名稱", example = "模块1")
    private String usageName;

    /**
     * 用法
     */
    @ApiModelProperty(value = "用法", example = "模块1")
    private String supplyCode;

    @ApiModelProperty(value = "名稱", example = "模块1")
    private String supplyName;

    /**
     * 天数
     */
    @ApiModelProperty(value = "天数", example = "模块1")
    private String days;

    /**
     * 频率
     */
    @ApiModelProperty(value = "组数", example = "模块1")
    private String frequency;


    /**
     * 药品收费码
     */
    @ApiModelProperty(value = "药品收费码", example = "模块1")
    private String serial;

    /**
     * 库房号
     */
    @ApiModelProperty(value = "库房号", example = "模块1")
    private String groupNo;

    @ApiModelProperty(value = "规格", example = "模块1")
    private String specification;

    /**
     *包装价格
     */
    @ApiModelProperty(value = "包装价格", example = "模块1")
    private Double packRetprice;

    @ApiModelProperty(value = "草药数量", example = "模块1")
    private String herbalCount;

    @ApiModelProperty(value = "贴数", example = "模块1")
    private String postCount;
    /**
     * 1可用 0删除
     */
    @ApiModelProperty(value = "1可用 0删除", example = "模块1")
    private Integer del;

    @ApiModelProperty(value = "药品产地", example = "药品产地")
    private String drugPlace;

    @ApiModelProperty(value = "药房包装", example = "药房包装")
    private Integer packQuantity;

    @ApiModelProperty(value = "给药途径", example = "给药途径")
    private Integer ypyf;

    @ApiModelProperty(value = "眼科hisCode", example = "眼科hisCode")
    private Integer HisCode;


    private String comm;

    private String pzwh;


    public String getPrescriptionId() {
        return prescriptionId;
    }
    public void setPrescriptionId(String prescriptionId) {
        this.prescriptionId = prescriptionId;
    }

    public String getDrugNo() {
        return drugNo;
    }
    public void setDrugNo(String drugNo) {
        this.drugNo = drugNo;
    }

    public String getDrugName() {
        return drugName;
    }
    public void setDrugName(String drugName) {
        this.drugName = drugName;
    }

    public String getDispDeposite() {
        return dispDeposite;
    }
    public void setDispDeposite(String dispDeposite) {
        this.dispDeposite = dispDeposite;
    }

    public String getDosage() {
        return dosage;
    }
    public void setDosage(String dosage) {
        this.dosage = dosage;
    }

    public String getQuantity() {
        return quantity;
    }
    public void setQuantity(String quantity) {
        this.quantity = quantity;
    }

    public String getUnit() {
        return unit;
    }
    public void setUnit(String unit) {
        this.unit = unit;
    }

    public String getUsageCode() {
        return usageCode;
    }

    public void setUsageCode(String usageCode) {
        this.usageCode = usageCode;
    }

    public String getSupplyCode() {
        return supplyCode;
    }
    public void setSupplyCode(String supplyCode) {
        this.supplyCode = supplyCode;
    }

    public String getDays() {
        return days;
    }
    public void setDays(String days) {
        this.days = days;
    }

    public String getFrequency() {
        return frequency;
    }
    public void setFrequency(String frequency) {
        this.frequency = frequency;
    }

    public Integer getDel() {
        return del;
    }
    public void setDel(Integer del) {
        this.del = del;
    }

    public String getSerial() {
        return serial;
    }

    public void setSerial(String serial) {
        this.serial = serial;
    }

    public String getGroupNo() {
        return groupNo;
    }

    public void setGroupNo(String groupNo) {
        this.groupNo = groupNo;
    }

    public String getSpecification() {
        return specification;
    }

    public void setSpecification(String specification) {
        this.specification = specification;
    }

    public String getUnitName() {
        return unitName;
    }

    public void setUnitName(String unitName) {
        this.unitName = unitName;
    }

    public String getSupplyName() {
        return supplyName;
    }

    public void setSupplyName(String supplyName) {
        this.supplyName = supplyName;
    }

    public String getUsageName() {
        return usageName;
    }

    public void setUsageName(String usageName) {
        this.usageName = usageName;
    }

    public String getPackUnit() {
        return packUnit;
    }

    public void setPackUnit(String packUnit) {
        this.packUnit = packUnit;
    }

    public String getPackUnitName() {
        return packUnitName;
    }

    public void setPackUnitName(String packUnitName) {
        this.packUnitName = packUnitName;
    }

    public Double getPackRetprice() {
        return packRetprice;
    }

    public void setPackRetprice(Double packRetprice) {
        this.packRetprice = packRetprice;
    }

    public String getHerbalCount() {
        return herbalCount;
    }

    public void setHerbalCount(String herbalCount) {
        this.herbalCount = herbalCount;
    }

    public String getPostCount() {
        return postCount;
    }

    public void setPostCount(String postCount) {
        this.postCount = postCount;
    }

    public String getComm() {
        return comm;
    }

    public void setComm(String comm) {
        this.comm = comm;
    }

    public String getDrugPlace() {
        return drugPlace;
    }

    public void setDrugPlace(String drugPlace) {
        this.drugPlace = drugPlace;
    }

    public Integer getPackQuantity() {
        return packQuantity;
    }

    public void setPackQuantity(Integer packQuantity) {
        this.packQuantity = packQuantity;
    }

    public Integer getYpyf() {
        return ypyf;
    }

    public void setYpyf(Integer ypyf) {
        this.ypyf = ypyf;
    }

    public Integer getHisCode() {
        return HisCode;
    }

    public void setHisCode(Integer hisCode) {
        HisCode = hisCode;
    }

    public String getPzwh() {
        return pzwh;
    }

    public void setPzwh(String pzwh) {
        this.pzwh = pzwh;
    }
}